Skip to main content
GET
Get operation

Authorizations

Authorization
string
header
required

Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).

Path Parameters

operationId
string<uuid>
required

Response

OK

An asynchronous Compute operation record.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
operationId
string<uuid>
required

Alias for id.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
resourceId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
resourceType
enum<string>
required
Available options:
pod,
volume,
cluster,
template,
registry,
ssh_key
action
string
required

Operation action, e.g. pod_create, pod_stop, cluster_create, cluster_terminate, volume_delete, registry_rotate.

state
enum<string>
required

Alias for status.

Available options:
pending,
in_progress,
succeeded,
failed,
cancelled,
reconciling
status
enum<string>
required

Terminal: succeeded, failed, cancelled.

Available options:
pending,
in_progress,
succeeded,
failed,
cancelled,
reconciling
errorMessage
string | null
required

Sanitized failure reason. Never raw provider text or secrets.

completedAt
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
failure
object | null
required

Structured reading of errorMessage once the operation is failed or cancelled; null otherwise.